#
# jump1.rb
#
# $Id: jump1.rb,v 1.1 2000/11/21 03:15:27 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


nmax = 400
dt = 2*PI/(nmax-1)

x = NArray.sfloat(nmax)
y = NArray.sfloat(nmax)

#-- data 1 ----
for n in 0..nmax-1
  t = dt*n
  x[n] = 5*sin(4*t)
  y[n] = 5*cos(5*t)
end

#-- graph 1 ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

grswnd(-6.0, 6.0, -6.0, 6.0)
grsvpt(0.15, 0.45, 0.65, 0.95)
grstrn( 1 )
grstrf

ussttl('X1', '', 'Y1', '')
usdaxs

uulin(nmax, x, y)

#-- data 2 ----
iseed = 0

x[0] = 2*(rand(iseed)-0.5)
y[nmax-1] = x[0]

for n in 1..nmax-1
  x[n] = 2*(rand(iseed)-0.5)
  y[n-1] = x[n]
end

#-- graph 2 ----
grfig

grswnd(-1.1, 1.1, -1.1, 1.1)
grsvpt(0.15, 0.95, 0.1, 0.5)
grstrn(1)
grstrf

ussttl('X2-TITLE', '', 'Y2-TITLE', '')
usdaxs

uumrk(nmax, x, y)

grcls

